#users_blurb{
    width: 100%;
}

#users_table{
    height: calc(100% - 60px);
    flex-grow: 1;
}

.table_header{
    display: grid;
    font-family: "Akshar", sans-serif;
    font-size: 24px;
    text-align: center;
    height: 50px;
    background-color: var(--dark_purple);
    color: white;
}

#users_header{
    grid-template-columns: 60px 2fr 2fr 2fr;
}

#users_header div{
    display: flex;
    justify-content: center;
    align-items: center;
}

#users_header .col_header{
    border: none;
}

#admin_wrapper,
#users_wrapper {
    display: block;
    font-family: "Abel", sans-serif;
    overflow: auto;
}

#users_wrapper {
    height: calc(100vh - 350px);
}

#admin_wrapper .cell,
#users_wrapper .cell {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    min-width: 0;
    justify-self: stretch;
}

#users_wrapper .cell-team {
    justify-self: center;
    text-align: center;
}


#admin_table .grid{
    grid-template-columns: 20px minmax(0, 2fr) minmax(0, 2fr) minmax(0, 150px) 60px;
}

#users_table .grid{
    grid-template-columns: 20px minmax(0, 2fr) minmax(0, 2fr) minmax(0, 2fr) 100px 60px;
}

#new_user_info{
    display: grid;
    grid-template-columns: 100px auto;
    gap: 5px;
}

#new_user_info input{
    width: 200px;
}

.user_error_message{
    grid-column: 1 / span 2;
    text-align: right;
    color: var(--error_front);
    height: 28px;
    line-height: 28px;
    overflow: hidden;
}

#add_user_button_wrapper{
    height: 64px;
    display: flex;
    justify-content: center;
}

/* Responsive adjustments for smaller screens */
@media (max-width: 600px) {
    
}

@media (max-width: 740px) {
    #users_table {
        height: calc(100% - 120px);
    }

    #users_blurb_top .col_header{
        border: none;
    }

    /*#users_wrapper {
        grid-template-columns: 400px;
    }*/

    /*#users_header{
        display: none;
    }

    .row_even{
        background-color: transparent;
    }

    #users_wrapper .col_header{
        text-align: center;
        background-color: var(--dark_purple);
        color: white;
    }*/
}

@media (max-width: 880px){
    .section_row{
        width: 95%;
    }
}
